i2o_bus_match
Prev | I2O message devices | Next

## Name

i2o_bus_match — Tell if I2O device class id matches the class ids of the I2O driver (OSM)

## Synopsis

`int i2o_bus_match (` | struct device * | dev,
| struct device_driver * | drv`)`;

## Arguments

`dev`

  device which should be verified

`drv`

  the driver to match against

## Description

Used by the bus to check if the driver wants to handle the device.

Returns 1 if the class ids of the driver match the class id of the device, otherwise 0.

Prev | Up | Next
i2o_device_parse_lct | Home | i2o_driver_dispatch